Post Reply 
 
Thread Rating:
  • 0 Votes - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Minimserver not work in Synology 1817+
21-01-2018, 06:53
Post: #1
Minimserver not work in Synology 1817+
I just upgrade from DS214 to DS1817+, but the minimserver not work, the package centre said "fail to run the package service"

Can anyone help?

Thank a lot
Find all posts by this user
Quote this message in a reply
21-01-2018, 16:18
Post: #2
RE: Minimserver not work in Synology 1817+
Have you installed Java on the DS1817+?

If so, please check the minimserver.log file in the MinimServer/appData folder to see if there are any error messages there.
Find all posts by this user
Quote this message in a reply
21-01-2018, 16:50
Post: #3
RE: Minimserver not work in Synology 1817+
(21-01-2018 16:18)simoncn Wrote:  Have you installed Java on the DS1817+?

If so, please check the minimserver.log file in the MinimServer/appData folder to see if there are any error messages there.


Thanks for your reply, I have installed Java 8 already, and the error message is :

/volume1/@appstore/MinimServer/minim.sh: line 34: /var/packages/Java8/target/j2sdk-image/jre/bin/java: cannot execute binary file: Exec format error
Find all posts by this user
Quote this message in a reply
21-01-2018, 17:13
Post: #4
RE: Minimserver not work in Synology 1817+
This message means that you have installed the wrong version of Java. Which version did you install and how did you install it?
Find all posts by this user
Quote this message in a reply
22-01-2018, 01:26
Post: #5
RE: Minimserver not work in Synology 1817+
(21-01-2018 17:13)simoncn Wrote:  This message means that you have installed the wrong version of Java. Which version did you install and how did you install it?

I have installed Java 8 from the package centre, but not work. After your first reply, I tried to click the java 8 icon and followed the instruction to update the java 8 bu download the latest version from JE and manual update. Then the minimserver can run.

Thankyou for your great help and quick response! But may i know that why the “installation guide” > “synology models and processor types” cant find 1817.
Yesterday, i afraid that my 1817 cant use

Thanks
Find all posts by this user
Quote this message in a reply
22-01-2018, 09:59 (This post was last modified: 22-01-2018 10:00 by simoncn.)
Post: #6
RE: Minimserver not work in Synology 1817+
The Java8 package with no manual update should have worked. It could fail if you did a manual update with the wrong file.

I have updated the list of Synology models on the MinimServer website to include the DS1817+. Thanks for letting me know about this omission.
Find all posts by this user
Quote this message in a reply
23-01-2018, 01:59
Post: #7
RE: Minimserver not work in Synology 1817+
(22-01-2018 09:59)simoncn Wrote:  The Java8 package with no manual update should have worked. It could fail if you did a manual update with the wrong file.

I have updated the list of Synology models on the MinimServer website to include the DS1817+. Thanks for letting me know about this omission.

But in my situation, the minimserver did not work by the java package, but it work after manual installation the java 8.

May be i used DS214 previously and and java 8 was from DS214, which not compatible with 1817! Thereforw, i need to update the java 8 manually! This is the reason i guess.
Find all posts by this user
Quote this message in a reply
23-01-2018, 11:21
Post: #8
RE: Minimserver not work in Synology 1817+
That would explain it. The DS214 has an ARM processor and uses a different version of Java.
Find all posts by this user
Quote this message in a reply
Post Reply 


Forum Jump:


User(s) browsing this thread: 1 Guest(s)